status

Get CometBFT status including node info, pubkey, latest block hash, app hash, block height and time.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • No parameters are needed.
curl https://cosmos-mainnet-archive.allthatnode.com:26657/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "status"
}'

Returns

  • OBJECT - Status of the node.
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "node_info": {
            "protocol_version": {
                "p2p": "8",
                "block": "11",
                "app": "0"
            },
            "id": "093e33f123c4201855a2387513b5e5dea064e479",
            "listen_addr": "tcp://0.0.0.0:26656",
            "network": "cosmoshub-4",
            "version": "0.34.28",
            "channels": "40202122233038606100",
            "moniker": "arccrab",
            "other": {
                "tx_index": "on",
                "rpc_address": "tcp://0.0.0.0:26657"
            }
        },
        "sync_info": {
            "latest_block_hash": "1BCAB1D919CE83D5857B007906A8A7B24F21E54B52849C281756B69340757A0C",
            "latest_app_hash": "76B0FB21612DFFC7118518C30D63C9934B4401FD2FBCAC5C5A82490A6690BFBC",
            "latest_block_height": "16367581",
            "latest_block_time": "2023-07-31T08:16:19.557107407Z",
            "earliest_block_hash": "1455A0C15AC49BB506992EC85A3CD4D32367E53A087689815E01A524231C3ADF",
            "earliest_app_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
            "earliest_block_height": "5200791",
            "earliest_block_time": "2019-12-11T16:11:34Z",
            "catching_up": false
        },
        "validator_info": {
            "address": "89A4833D3DB4FDAE9A97B4374AA197E41C3C3AFF",
            "pub_key": {
                "type": "tendermint/PubKeyEd25519",
                "value": "S8aP7m5WVnF6WDVlFiSKBpvtKRyjY4PGwbVTpW6nhjU="
            },
            "voting_power": "0"
        }
    }
}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Query Params
string
Body Params
string
required
Defaults to 2.0
int32
required
Defaults to 1
string
required
Defaults to dial_peers
params
object
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!